#define DIR_MODE 0750
typedef struct {
	GtkBuilder *builder;
	GtkApplicationWindow *main_application;
	GtkAboutDialog *about_dialog;
	GtkTreeView *folder_view;
	GtkListStore *folder_model;
	GtkSwitch *on_off;
} T_GUI;
T_GUI *gui;

typedef struct {
	const gchar *configdir;
	const gchar *statedir;
	const gchar *user;
} T_APP;
T_APP *app;

gint get_server_pid();
gboolean is_duplicate(const gchar *newFolder);
void load_shares();
void write_config();

void on_activate(GApplication *application, gpointer user_data);
void on_add_folder(GtkButton *bt, gpointer user_data);
void on_remove_folder(GtkButton *bt, gpointer user_data);
gboolean on_state_change(GtkSwitch* self, gboolean state, gpointer user_data);

